Index: translator/SynTree/NamedTypeDecl.cc
===================================================================
--- translator/SynTree/NamedTypeDecl.cc	(revision a32b204359041ff1f6ef505a929495bcfe7a54f3)
+++ translator/SynTree/NamedTypeDecl.cc	(revision 0dd3a2faa6372da8704ff969a8bb37b5d340f350)
@@ -1,67 +1,85 @@
+//
+// Cforall Version 1.0.0 Copyright (C) 2015 University of Waterloo
+//
+// The contents of this file are covered under the licence agreement in the
+// file "LICENCE" distributed with Cforall.
+//
+// NamedTypeDecl.cc -- 
+//
+// Author           : Richard C. Bilson
+// Created On       : Mon May 18 07:44:20 2015
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Mon May 18 10:13:19 2015
+// Update Count     : 1
+//
+
 #include "Declaration.h"
 #include "Type.h"
 #include "utility.h"
 
-
 NamedTypeDecl::NamedTypeDecl( const std::string &name, StorageClass sc, Type *base )
-    : Parent( name, sc, LinkageSpec::Cforall ), base( base )
-{}
+	: Parent( name, sc, LinkageSpec::Cforall ), base( base ) {}
 
 NamedTypeDecl::NamedTypeDecl( const TypeDecl &other )
-    : Parent( other ), base( maybeClone( other.base ) )
-{
-    cloneAll( other.parameters, parameters );
-    cloneAll( other.assertions, assertions );
+	: Parent( other ), base( maybeClone( other.base ) ) {
+	cloneAll( other.parameters, parameters );
+	cloneAll( other.assertions, assertions );
 }
 
 NamedTypeDecl::~NamedTypeDecl() {
-    delete base;
-    deleteAll( parameters );
-    deleteAll( assertions );
+	delete base;
+	deleteAll( parameters );
+	deleteAll( assertions );
 }
 
 void NamedTypeDecl::print( std::ostream &os, int indent ) const {
-    using namespace std;
-    
-    if ( get_name() != "" ) {
-	os << get_name() << ": a ";
-    } // if
-    if ( get_storageClass() != NoStorageClass ) {
-	os << storageClassName[ get_storageClass() ] << ' ';
-    } // if
-    os << typeString();
-    if ( base ) {
-	os << " for ";
-	base->print( os, indent );
-    } // if
-    if ( ! parameters.empty() ) {
-	os << endl << string( indent, ' ' ) << "with parameters" << endl;
-	printAll( parameters, os, indent+2 );
-    } // if
-    if ( ! assertions.empty() ) {
-	os << endl << string( indent, ' ' ) << "with assertions" << endl;
-	printAll( assertions, os, indent+2 );
-    } // if
+	using namespace std;
+	
+	if ( get_name() != "" ) {
+		os << get_name() << ": a ";
+	} // if
+	if ( get_storageClass() != NoStorageClass ) {
+		os << storageClassName[ get_storageClass() ] << ' ';
+	} // if
+	os << typeString();
+	if ( base ) {
+		os << " for ";
+		base->print( os, indent );
+	} // if
+	if ( ! parameters.empty() ) {
+		os << endl << string( indent, ' ' ) << "with parameters" << endl;
+		printAll( parameters, os, indent+2 );
+	} // if
+	if ( ! assertions.empty() ) {
+		os << endl << string( indent, ' ' ) << "with assertions" << endl;
+		printAll( assertions, os, indent+2 );
+	} // if
 }
 
 void NamedTypeDecl::printShort( std::ostream &os, int indent ) const {
-    using namespace std;
-    
-    if ( get_name() != "" ) {
-	os << get_name() << ": a ";
-    } // if
-    if ( get_storageClass() != NoStorageClass ) {
-	os << storageClassName[ get_storageClass() ] << ' ';
-    } // if
-    os << typeString();
-    if ( base ) {
-	os << " for ";
-	base->print( os, indent );
-    } // if
-    if ( ! parameters.empty() ) {
-	os << endl << string( indent, ' ' ) << "with parameters" << endl;
-	printAll( parameters, os, indent+2 );
-    } // if
+	using namespace std;
+	
+	if ( get_name() != "" ) {
+		os << get_name() << ": a ";
+	} // if
+	if ( get_storageClass() != NoStorageClass ) {
+		os << storageClassName[ get_storageClass() ] << ' ';
+	} // if
+	os << typeString();
+	if ( base ) {
+		os << " for ";
+		base->print( os, indent );
+	} // if
+	if ( ! parameters.empty() ) {
+		os << endl << string( indent, ' ' ) << "with parameters" << endl;
+		printAll( parameters, os, indent+2 );
+	} // if
 }
 
 std::string TypedefDecl::typeString() const { return "typedef"; }
+
+// Local Variables: //
+// tab-width: 4 //
+// mode: c++ //
+// compile-command: "make install" //
+// End: //
